2021-03-03 03:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000528Frama-CKernel > Makefilepublic2014-02-12 16:55
ReporterJonathan-Christofer Demay 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000528: Makefile.dynamic should always write to $(DESTDIR)
DescriptionWhen a dynamic plugin is being built in a sandbox, the install process should always write to $(DESTDIR).

This is already the case for everything that go into $(BINDIR), but not into $(PLUGIN_INSTALL_DIR)

The attached patch fixes that.

However, the part that updates 'known_plugins.ac' is also a problem for the same reason. I haven't figured out yet what to do with it, so as of now it is just disabled.
TagsNo tags attached.
Attached Files
  • patch file icon frama-c-20100401-fix_plugin_install.patch (1,317 bytes) 2010-07-04 19:49 -
    --- /usr/share/frama-c/Makefile.dynamic	2010-07-04 19:28:07.000000000 +0000
    +++ /usr/share/frama-c/Makefile.dynamic	2010-07-04 19:33:37.000000000 +0000
    @@ -113,7 +113,7 @@ endif #FRAMAC_MAKE
     
     PLUGIN_LIB_DIR	?= $(PLUGIN_DIR)
     PLUGIN_GUI_LIB_DIR ?= $(PLUGIN_DIR)/gui
    -PLUGIN_INSTALL_DIR ?=$(FRAMAC_PLUGINDIR)
    +PLUGIN_INSTALL_DIR ?=$(DESTDIR)$(FRAMAC_PLUGINDIR)
     
     PLUGIN_FLAGS:=$(FLAGS) $(DEBUG) $(FRAMAC_INCLUDES) -I $(FRAMAC_LIBDIR)
     PLUGIN_BFLAGS:=$(PLUGIN_FLAGS) $(PLUGIN_BFLAGS)
    @@ -182,6 +182,7 @@ endif
     ifneq ($(PLUGIN_ENABLE),no)
     install::
     	$(PRINT_CP) $(PLUGIN_INSTALL_DIR)
    +	$(MKDIR) $(PLUGIN_INSTALL_DIR)
     	$(CP) $(TARGETS) $(PLUGIN_INSTALL_DIR)
     	$(PRINT_CP) $(BINDIR)
     	if [ -f frama-c-$(PLUGIN_NAME).byte$(EXE) ]; then \
    @@ -191,9 +192,9 @@ install::
     	  $(CP) frama-c-$(PLUGIN_NAME).$(OCAMLBEST)$(EXE) \
     		$(BINDIR)/frama-c-$(PLUGIN_NAME)$(EXE); \
     	fi
    -	$(PRINT_UPDATE) $(FRAMAC_SHARE)/known_plugins.ac
    -	echo "ENABLE_`echo $(PLUGIN_NAME) | tr "a-z" "A-Z"`=$(PLUGIN_ENABLE)" \
    -	  >> $(FRAMAC_SHARE)/known_plugins.ac
    +	#$(PRINT_UPDATE) $(FRAMAC_SHARE)/known_plugins.ac
    +	#echo "ENABLE_`echo $(PLUGIN_NAME) | tr "a-z" "A-Z"`=$(PLUGIN_ENABLE)" \
    +	#  >> $(FRAMAC_SHARE)/known_plugins.ac
     ifeq ($(HAS_GUI),yes)
     	$(PRINT_CP) $(PLUGIN_INSTALL_DIR)/gui
     	$(CP) $(TARGETS_GUI) $(PLUGIN_INSTALL_DIR)/gui
    
    patch file icon frama-c-20100401-fix_plugin_install.patch (1,317 bytes) 2010-07-04 19:49 +

-Relationships
related to 0000462closedvirgile Makefile.dynamic should not change known_plugins.ac 
parent of 0000606closedsignoles Don't edit files in make install. Instead, just use all plug-ins in the plugin directory 
+Relationships

-Notes

~0000971

signoles (manager)

The part about know_plugins.ac was already reported (see bts 0000462).
The part about $(DESTDIR) is fixed thank to your patch.

Thanks for your report.
+Notes

-Issue History
Date Modified Username Field Change
2010-07-04 19:49 Jonathan-Christofer Demay New Issue
2010-07-04 19:49 Jonathan-Christofer Demay Status new => assigned
2010-07-04 19:49 Jonathan-Christofer Demay Assigned To => signoles
2010-07-04 19:49 Jonathan-Christofer Demay File Added: frama-c-20100401-fix_plugin_install.patch
2010-07-05 11:09 signoles Relationship added related to 0000462
2010-07-05 11:11 signoles Note Added: 0000971
2010-07-05 11:12 svn
2010-07-05 11:12 svn Status assigned => resolved
2010-07-05 11:12 svn Resolution open => fixed
2010-10-14 08:56 signoles Relationship added related to 0000606
2010-10-14 09:05 signoles Relationship deleted related to 0000606
2010-10-14 09:06 signoles Relationship added parent of 0000606
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed
2013-12-19 01:13 signoles Source_changeset_attached => framac master 1cef56e7
2014-02-12 16:55 signoles Source_changeset_attached => framac stable/neon 1cef56e7
+Issue History